## qdvdauthor 0.0.8a

=== configurator/Makefile ===
#############################################################################
# Makefile for building: ../bin/configurator
# Generated by qmake (1.07a) (Qt 3.3.1) on: Mon Aug 23 01:23:36 2004
# Project:  configurator.pro
# Template: app
# Command: $(QMAKE) -o Makefile configurator.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ -lqt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = 
SOURCES = main.cpp
OBJECTS = .obj/main.o \
		.obj/configurator.o
FORMS = configurator.ui
UICDECLS = .ui/configurator.h
UICIMPLS = .ui/configurator.cpp
SRCMOC   = .moc/moc_configurator.cpp
OBJMOC = .obj/moc_configurator.o
DIST	   = configurator.pro
QMAKE_TARGET = configurator
DESTDIR  = ../bin/
TARGET   = ../bin/configurator

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: configurator.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt.prl
	$(QMAKE) -o Makefile configurator.pro
qmake: 
	@$(QMAKE) -o Makefile configurator.pro

dist: 
	@mkdir -p .obj/configurator && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/configurator/ && $(COPY_FILE) --parents configurator.ui.h .obj/configurator/ && ( cd `dirname .obj/configurator` && $(TAR) configurator.tar configurator && $(GZIP) configurator.tar ) && $(MOVE) `dirname .obj/configurator`/configurator.tar.gz . && $(DEL_FILE) -r .obj/configurator

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp .ui/configurator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.ui/configurator.h: configurator.ui 
	$(UIC) configurator.ui -o .ui/configurator.h

.ui/configurator.cpp: .ui/configurator.h configurator.ui 
	$(UIC) configurator.ui -i configurator.h -o .ui/configurator.cpp

.obj/configurator.o: .ui/configurator.cpp configurator.ui.h \
		.ui/configurator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/configurator.o .ui/configurator.cpp

.obj/moc_configurator.o: .moc/moc_configurator.cpp  .ui/configurator.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_configurator.o .moc/moc_configurator.cpp

.moc/moc_configurator.cpp: $(MOC) .ui/configurator.h
	$(MOC) .ui/configurator.h -o .moc/moc_configurator.cpp

####### Install

install:  

uninstall:

=== test/test_dither/Makefile ===
#############################################################################
# Makefile for building: test
# Generated by qmake (1.06c) (Qt 3.2.2) on: Fri Jul  9 14:12:48 2004
# Project:  test.pro
# Template: app
# Command: $(QMAKE) -o Makefile test.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -g  -DQT_SHARED -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -Wall -W -g  -DQT_SHARED -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   =  -Wl,-rpath,$(QTDIR)/lib
LIBS     = $(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = kimageeffect.h \
		quantize.h
SOURCES = main.cpp \
		kimageeffect.cpp \
		quantize.cpp
OBJECTS = .obj/main.o \
		.obj/kimageeffect.o \
		.obj/quantize.o \
		.obj/test.o
FORMS = test.ui
UICDECLS = .ui/test.h
UICIMPLS = .ui/test.cpp
SRCMOC   = .moc/moc_test.cpp
OBJMOC = .obj/moc_test.o
DIST	   = test.pro
QMAKE_TARGET = test
DESTDIR  = 
TARGET   = test

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: test.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile test.pro
qmake: 
	@$(QMAKE) -o Makefile test.pro

dist: 
	@mkdir -p .obj/test && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/test/ && $(COPY_FILE) --parents test.ui.h .obj/test/ && ( cd `dirname .obj/test` && $(TAR) test.tar test && $(GZIP) test.tar ) && $(MOVE) `dirname .obj/test`/test.tar.gz . && $(DEL_FILE) -r .obj/test

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp .ui/test.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.obj/kimageeffect.o: kimageeffect.cpp kimageeffect.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/kimageeffect.o kimageeffect.cpp

.obj/quantize.o: quantize.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/quantize.o quantize.cpp

.ui/test.h: test.ui 
	$(UIC) test.ui -o .ui/test.h

.ui/test.cpp: .ui/test.h test.ui 
	$(UIC) test.ui -i test.h -o .ui/test.cpp

.obj/test.o: .ui/test.cpp test.ui.h \
		.ui/test.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/test.o .ui/test.cpp

.obj/moc_test.o: .moc/moc_test.cpp .ui/test.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_test.o .moc/moc_test.cpp

.moc/moc_test.cpp: $(MOC) .ui/test.h
	$(MOC) .ui/test.h -o .moc/moc_test.cpp

####### Install

install: all  

uninstall:

=== qdvdauthor/qslideshow/test/Makefile ===
#############################################################################
# Makefile for building: filter
# Generated by qmake (1.06c) (Qt 3.2.2) on: Thu Jan 29 03:15:32 2004
# Project:  filter.pro
# Template: app
# Command: $(QMAKE) -o Makefile filter.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2  -DQT_NO_DEBUG -DQT_SHARED -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -Wall -W -O2  -DQT_NO_DEBUG -DQT_SHARED -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   =  -Wl,-rpath,$(QTDIR)/lib
LIBS     = $(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = 
SOURCES = main.cpp
OBJECTS = .obj/main.o \
		.obj/dialogfilter.o
FORMS = dialogfilter.ui
UICDECLS = .ui/dialogfilter.h
UICIMPLS = .ui/dialogfilter.cpp
SRCMOC   = .moc/moc_dialogfilter.cpp
OBJMOC = .obj/moc_dialogfilter.o
DIST	   = filter.pro
QMAKE_TARGET = filter
DESTDIR  = 
TARGET   = filter

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: filter.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile filter.pro
qmake: 
	@$(QMAKE) -o Makefile filter.pro

dist: 
	@mkdir -p .obj/filter && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/filter/ && ( cd `dirname .obj/filter` && $(TAR) filter.tar filter && $(GZIP) filter.tar ) && $(MOVE) `dirname .obj/filter`/filter.tar.gz . && $(DEL_FILE) -r .obj/filter

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp .ui/dialogfilter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.ui/dialogfilter.h: dialogfilter.ui 
	$(UIC) dialogfilter.ui -o .ui/dialogfilter.h

.ui/dialogfilter.cpp: .ui/dialogfilter.h dialogfilter.ui 
	$(UIC) dialogfilter.ui -i dialogfilter.h -o .ui/dialogfilter.cpp

.obj/dialogfilter.o: .ui/dialogfilter.cpp .ui/dialogfilter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/dialogfilter.o .ui/dialogfilter.cpp

.obj/moc_dialogfilter.o: .moc/moc_dialogfilter.cpp .ui/dialogfilter.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_dialogfilter.o .moc/moc_dialogfilter.cpp

.moc/moc_dialogfilter.cpp: $(MOC) .ui/dialogfilter.h
	$(MOC) .ui/dialogfilter.h -o .moc/moc_dialogfilter.cpp

####### Install

install: all  

uninstall:

## qdvdauthor 0.1.2

=== test/test_qstring/Makefile ===
#############################################################################
# Makefile for building: test
# Generated by qmake (1.07a) (Qt 3.3.5) on: Wed Jul  5 21:23:38 2006
# Project:  test.pro
# Template: app
# Command: $(QMAKE) -o Makefile test.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O0 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -ggdb3 -DUSE_LIB64_PATHES -fno-strict-aliasing -Wall -W -g -D_REENTRANT  -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG
CXXFLAGS = -pipe -O0 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -ggdb3 -DUSE_LIB64_PATHES -fno-strict-aliasing -Wall -W -g -D_REENTRANT  -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I.ui/ -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/lib64/ -L$(QTDIR)/lib64/ -L/usr/X11R6/lib64/ -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = 
SOURCES = main.cpp
OBJECTS = .obj/main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = test.pro
QMAKE_TARGET = test
DESTDIR  = 
TARGET   = test

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: test.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib64/libqt-mt.prl
	$(QMAKE) -o Makefile test.pro
qmake: 
	@$(QMAKE) -o Makefile test.pro

dist: 
	@mkdir -p .obj/test && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/test/ && ( cd `dirname .obj/test` && $(TAR) test.tar test && $(GZIP) test.tar ) && $(MOVE) `dirname .obj/test`/test.tar.gz . && $(DEL_FILE) -r .obj/test

mocclean:

uiclean:

yaccclean:
lexclean:
clean:
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp utils.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

####### Install

install:  

uninstall:

## qdvdauthor 1.0.0

=== addons/Makefile ===
###############################################################################
CC = g++
###############################################################################

all: bbdmux
	@echo
	@echo
	@echo "Changes made to original sources:"
	@echo "  - Added #define strlwr(x) to bits.h, seems to fix undef'ed reference."
	@echo "  - Stripped ^M from all source files, to help with older gccs."
	@echo "  - Removed bbainfo.cpp, bbainfo.ide BBINFO.CPP, bbinfo.ide, bbvinfo.cpp"
	@echo "  - bbvinfo.ide"
	@echo "  - modified this crappy Makefile."
	@echo
	@echo " The original sources can be found at ftp.primenet.com in /users/b/beyeler"
	@echo "with the filename bbtool19_src.zip."
	@echo

bbdmux: bits.o bbdmux.o
	$(CC) -o ../bin/bbdmux bits.o bbdmux.o

clean:
	rm -f ../bin/bbdmux core *.o

bbdmux.o: bbdmux.cpp bits.h
bits.o: bits.cpp bits.h

=== test/test_vlc/Makefile ===
#############################################################################
# Makefile for building: test
# Generated by qmake (1.07a) (Qt 3.3.1) on: Thu Dec 16 00:19:06 2004
# Project:  test.pro
# Template: app
# Command: $(QMAKE) -o Makefile test.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -g  -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG
CXXFLAGS = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -g  -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I.ui/ -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ `vlc-config --cxxflags --libs vlc` -lvlc -lqt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = 
SOURCES = main.cpp
OBJECTS = .obj/main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = test.pro
QMAKE_TARGET = test
DESTDIR  = 
TARGET   = test

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: test.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt.prl
	$(QMAKE) -o Makefile test.pro
qmake: 
	@$(QMAKE) -o Makefile test.pro

dist: 
	@mkdir -p .obj/test && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/test/ && ( cd `dirname .obj/test` && $(TAR) test.tar test && $(GZIP) test.tar ) && $(MOVE) `dirname .obj/test`/test.tar.gz . && $(DEL_FILE) -r .obj/test

mocclean:

uiclean:

yaccclean:
lexclean:
clean:
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

####### Install

install:  

uninstall:

=== test/test_xine/Makefile ===
#############################################################################
# Makefile for building: test
# Generated by qmake (1.07a) (Qt 3.3.1) on: Tue Jan 11 23:50:19 2005
# Project:  test.pro
# Template: app
# Command: $(QMAKE) -o Makefile test.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -g -D_REENTRANT  -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG
CXXFLAGS = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -g -D_REENTRANT  -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ `xine-config --cflags --libs` -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = xineinfo.h
SOURCES = main.cpp \
		xineinfo.cpp
OBJECTS = .obj/main.o \
		.obj/xineinfo.o \
		.obj/mydialog.o
FORMS = mydialog.ui
UICDECLS = .ui/mydialog.h
UICIMPLS = .ui/mydialog.cpp
SRCMOC   = .moc/moc_mydialog.cpp
OBJMOC = .obj/moc_mydialog.o
DIST	   = test.pro
QMAKE_TARGET = test
DESTDIR  = 
TARGET   = test

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: test.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile test.pro
qmake: 
	@$(QMAKE) -o Makefile test.pro

dist: 
	@mkdir -p .obj/test && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/test/ && $(COPY_FILE) --parents mydialog.ui.h .obj/test/ && ( cd `dirname .obj/test` && $(TAR) test.tar test && $(GZIP) test.tar ) && $(MOVE) `dirname .obj/test`/test.tar.gz . && $(DEL_FILE) -r .obj/test

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp .ui/mydialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.obj/xineinfo.o: xineinfo.cpp xineinfo.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/xineinfo.o xineinfo.cpp

.ui/mydialog.h: mydialog.ui 
	$(UIC) mydialog.ui -o .ui/mydialog.h

.ui/mydialog.cpp: .ui/mydialog.h mydialog.ui 
	$(UIC) mydialog.ui -i mydialog.h -o .ui/mydialog.cpp

.obj/mydialog.o: .ui/mydialog.cpp mydialog.ui.h \
		.ui/mydialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/mydialog.o .ui/mydialog.cpp

.obj/moc_mydialog.o: .moc/moc_mydialog.cpp  .ui/mydialog.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_mydialog.o .moc/moc_mydialog.cpp

.moc/moc_mydialog.cpp: $(MOC) .ui/mydialog.h
	$(MOC) .ui/mydialog.h -o .moc/moc_mydialog.cpp

####### Install

install:  

uninstall:

## qdvdauthor 1.2.0

=== configurator/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: ../bin/configurator
-# Generated by qmake (1.07a) (Qt 3.3.1) on: Mon Aug 23 01:23:36 2004
+# Generated by qmake (1.07a) (Qt 3.3.8b) on: Tue Mar 25 23:35:51 2008
 # Project:  configurator.pro
 # Template: app
 # Command: $(QMAKE) -o Makefile configurator.pro
@@ -12,14 +12,14 @@
 CXX      = g++
 LEX      = flex
 YACC     = yacc
-CFLAGS   = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT
-CXXFLAGS = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT
+CFLAGS   = -pipe -O0 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -ggdb3 -DUSE_LIB64_PATHES -fno-strict-aliasing -Wall -W -O0 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -ggdb3 -DUSE_LIB64_PATHES -fno-strict-aliasing  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
+CXXFLAGS = -pipe -O0 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -ggdb3 -DUSE_LIB64_PATHES -fno-strict-aliasing -Wall -W -Wno-non-virtual-dtor -O0 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -ggdb3 -DUSE_LIB64_PATHES -fno-strict-aliasing  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
 LEXFLAGS = 
 YACCFLAGS= -d
 INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I.ui/ -I. -I.moc/
 LINK     = g++
 LFLAGS   = 
-LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ -lqt -lXext -lX11 -lm
+LIBS     = $(SUBLIBS) -L/usr/lib64/ -L$(QTDIR)/lib64/ -L/usr/X11R6/lib64/ -L/usr/X11R6/lib64 -lqt-mt -lXext -lX11 -lm
 AR       = ar cqs
 RANLIB   = 
 MOC      = $(QTDIR)/bin/moc
@@ -93,7 +93,7 @@
 $(MOC): 
 	( cd $(QTDIR)/src/moc && $(MAKE) )
 
-Makefile: configurator.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt.prl
+Makefile: configurator.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib64/libqt-mt.prl
 	$(QMAKE) -o Makefile configurator.pro
 qmake: 
 	@$(QMAKE) -o Makefile configurator.pro
@@ -131,7 +131,7 @@
 .ui/configurator.h: configurator.ui 
 	$(UIC) configurator.ui -o .ui/configurator.h
 
-.ui/configurator.cpp: .ui/configurator.h configurator.ui 
+.ui/configurator.cpp: .ui/configurator.h configurator.ui configurator.ui.h 
 	$(UIC) configurator.ui -i configurator.h -o .ui/configurator.cpp
 
 .obj/configurator.o: .ui/configurator.cpp configurator.ui.h \

## qdvdauthor 2.1.0+dfsg

=== debian/changelog ===
qdvdauthor (1:2.1.0+dfsg-0ubuntu3) lucid; urgency=low

  * Add proper Conflicts/Replaces fields to fix LP: #519154.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 09 Feb 2010 08:01:52 +0100

qdvdauthor (1:2.1.0+dfsg-0ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 21:35:19 +0100

qdvdauthor (1:2.1.0+dfsg-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Update debian/patches/03_plugins.diff according to DEP-3.
  * debian/qplayer.1: Fix spelling error.
  * debian/copyright: Fix copyright-refers-to-symlink-license lintian warning.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 15 Jan 2010 19:21:07 +0100

qdvdauthor (1:2.0.0+dfsg-0.0ubuntu5) lucid; urgency=low

  * Migrate to 3.0 (quilt).

 -- Maia Kozheva <sikon@ubuntu.com>  Tue, 22 Dec 2009 16:31:39 +0600

qdvdauthor (1:2.0.0+dfsg-0.0ubuntu4) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:08 +0000

qdvdauthor (1:2.0.0+dfsg-0.0ubuntu3) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 09:53:46 +0000

qdvdauthor (1:2.0.0+dfsg-0.0ubuntu2) lucid; urgency=low

  * Moving away from Christian Marillat's packaging towards maintaining it
    directly in Ubuntu.
  * debian/copyright:
    - Expanded to mention per-file copyrights and licenses.
  * debian/control:
    - Replaced XSBC-Original-Maintainer.
    - Tighten debhelper dependency for override_dh_* rules.
    - Removed Bugs header.
    - Added ${misc:Depends}.
  * debian/rules:
    - Cleaned up with the help of debhelper 7 features.
  * Removed debian/debian.mak, debian/patches/01_hack.diff, and
    debian/patches/02_configure.diff. NCPUS and ccache are not used in Ubuntu,
    and --as-needed is not worth hacking the upstream build system.
  * Removed debian.mak change from debian/patches/03_plugins.diff.

 -- Maia Kozheva <sikon@ubuntu.com>  Fri, 20 Nov 2009 15:46:38 +0600

qdvdauthor (1:2.0.0+dfsg-0.0ubuntu1) lucid; urgency=low

  * Merged from debian-multimedia.org, remaining Ubuntu changes:
    + Repacked orig.tar.gz to remove binaries.
    + debian/rules:
      - Added get-orig-source.
    + debian/control:
      - Corrected versioned build-deps.
      - Depend on mplayer-nogui and dvd-slideshow.
    + debian/qdvdauthor.desktop:
      - Removed Encoding field.

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 04 Nov 2009 13:37:49 +0600

qdvdauthor (1:2.0.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 12 Oct 2009 15:32:05 +0200

qdvdauthor (1:1.11.1-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 16 Aug 2009 22:40:53 +0200

qdvdauthor (1:1.11.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 07 Aug 2009 18:09:26 +0200

qdvdauthor (1:1.10.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 03 Jul 2009 22:38:50 +0200

qdvdauthor (1:1.9.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 11 Jun 2009 13:12:07 +0200

qdvdauthor (1:1.8.0+dfsg-0.0ubuntu2) karmic; urgency=low

  * No-change rebuild to pick up new ffmpeg shlibs file.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 28 Aug 2009 20:56:56 +0200

qdvdauthor (1:1.8.0+dfsg-0.0ubuntu1) karmic; urgency=low

  * Merged from debian-multimedia.org, remaining Ubuntu changes:
    + Repacked orig.tar.gz to remove dvd-slideshow binary.
    + debian/control:
      - Depend on mplayer | mplayer-nogui and dvd-slideshow.
      - Removed versioned dependencies on ffmpeg libraries.
    + debian/qdvdauthor.desktop:
      - Removed Encoding field.
    + debian/rules:
      - Add get-orig-source.

 -- Maia Kozheva <sikon@ubuntu.com>  Mon, 11 May 2009 17:29:25 +0700

qdvdauthor (1:1.8.0-0.0) unstable; urgency=low

  * New upstream release.
  * Remove 04_ffmpeg patch included upstream.

 -- Christian Marillat <marillat@debian.org>  Mon, 04 May 2009 08:56:20 +0200

qdvdauthor (1:1.7.0-0.2) unstable; urgency=low

  * New patch 04_ffmpeg to fix build with latest ffmpeg.

 -- Christian Marillat <marillat@debian.org>  Sun, 26 Apr 2009 11:53:24 +0200

qdvdauthor (1:1.7.0-0.1) unstable; urgency=low

  * Rebuild against latest ffmpeg to remove libavutil49 dependency.

 -- Christian Marillat <marillat@debian.org>  Sun, 29 Mar 2009 11:27:37 +0200

qdvdauthor (1:1.7.0.dfsg-0.0ubuntu1) jaunty; urgency=low

  * Merged from debian-multimedia.org, remaining Ubuntu changes:
    + Repacked orig.tar.gz to remove dvd-slideshow binary.
    + debian/control:
      - Updated maintainer field.
      - Depend on mplayer | mplayer-nogui and dvd-slideshow.
    + debian/qdvdauthor.desktop:
      - Removed Encoding field.

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 18 Feb 2009 21:53:55 +0600

qdvdauthor (1:1.7.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Jan 2009 10:29:33 +0100

qdvdauthor (1:1.6.1-0.0) unstable; urgency=low

  * New upstream release.
  * Rework patches some make -j option was not needed or missing.

 -- Christian Marillat <marillat@debian.org>  Mon, 15 Dec 2008 09:04:37 +0100

qdvdauthor (1:1.6.0-0.0) unstable; urgency=low

  * New upstream release.
  * Remove dvd-slideshow dependency.

 -- Christian Marillat <marillat@debian.org>  Mon, 01 Dec 2008 11:39:36 +0100

qdvdauthor (1:1.5.0.2-0.2) unstable; urgency=low

  * Hummmm, forgot to install the new qrender binary...

 -- Christian Marillat <marillat@debian.org>  Sun, 14 Sep 2008 22:04:57 +0200

qdvdauthor (1:1.5.0.2-0.1) unstable; urgency=high

  * Make a symlink for the plugins from /usr/lib to /usr/share (Thanks to
    Ferry Toth)
  * Build the latest QT4 qrender binary (The QT3 binary was packaged in the


=== debian/control ===
Source: qdvdauthor
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maia Kozheva <sikon@ubuntu.com>
Homepage: http://qdvdauthor.sourceforge.net
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0.50~), libmagick++-dev, libqt3-mt-dev,
 libqt4-dev (>= 4:4.6.0), libavformat-dev (>= 4:0.5+svn20090414),
 libavcodec-dev (>= 4:0.5+svn20090414), libswscale-dev (>= 4:0.5+svn20090414),
 libavdevice-dev (>= 4:0.5+svn20090414)

Package: qdvdauthor
Architecture: any
Conflicts: qdvdauthor (<< 1:2.0.0+dfsg-0.0ubuntu2)
Depends: ${shlibs:Depends}, ${misc:Depends}, dvdauthor (>= 0.6.10),
 mjpegtools (>= 1.8.0), netpbm, sox, lame, vorbis-tools, videotrans,
 mplayer-nogui, dvd-slideshow, qdvdauthor-common (= ${source:Version})
Description: Qt 3 video DVD creator
 QDVDAuthor is a graphical video DVD creator using dvdauthor and other related
 console tools as its backend.
 .
 The goal is to provide an easy-to-use, yet powerful and complete interface
 to generate DVD menus, slideshows, and videos to burn on a DVD.

Package: qdvdauthor-common
Architecture: all
Conflicts: qdvdauthor (<< 1:2.0.0+dfsg-0.0ubuntu2)
Replaces: qdvdauthor (<< 1:2.0.0+dfsg-0.0ubuntu2)
Depends: ${misc:Depends}, qdvdauthor (>= ${source:Version})
Description: Qt 3 video DVD creator - data files
 QDVDAuthor is a graphical video DVD creator using dvdauthor and other related
 console tools as its backend.
 .
 The goal is to provide an easy-to-use, yet powerful and complete interface
 to generate DVD menus, slideshows, and videos to burn on a DVD.
 .
 This package contains architecture-independent files.

=== debian/rules ===
#!/usr/bin/make -f

VERSION_DFSG = $(shell dpkg-parsechangelog | grep Version | egrep -o "[0-9]+\.[0-9]+(\.[0-9]+)?\+dfsg")
VERSION = $(shell echo $(VERSION_DFSG) | sed s/\+dfsg//)

clean:
	dh clean
	find -name "*.o" | xargs -r rm
	find -name "*.qm" | xargs -r rm
	find -name .ui | xargs -r rm -rf
	find -name .moc | xargs -r rm -rf
	find -name Makefile | xargs -r rm 
	find -name Makefile.tmp | xargs -r rm 

override_dh_auto_configure:
	./configure --prefix=/usr --omit-local-ffmpeg --no-configurator

override_dh_auto_install:
	$(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/tmp
	$(MAKE) -C qdvdauthor/plugins/simpledvd -f Makefile.tmp install INSTALL_ROOT=$(CURDIR)/debian/tmp
	$(MAKE) -C qdvdauthor/plugins/complexdvd -f Makefile.tmp install INSTALL_ROOT=$(CURDIR)/debian/tmp
	$(MAKE) -C qdvdauthor/plugins/menuslide install INSTALL_ROOT=$(CURDIR)/debian/tmp

override_dh_makeshlibs:

get-orig-source:
	echo $(VERSION) $(VERSION_DFSG)
	uscan --no-symlink --force-download --verbose
	cd debian && tar xvzf ../../qdvdauthor-$(VERSION).tar.gz
	cd debian/qdvdauthor-$(VERSION) && rm bin/bbdmux && rm bin/dvd-slideshow && find -name CVS | xargs rm -rf
	mv debian/qdvdauthor-$(VERSION) debian/qdvdauthor-$(VERSION_DFSG)
	cd debian && tar cvzf ../../qdvdauthor_$(VERSION_DFSG).orig.tar.gz qdvdauthor-$(VERSION_DFSG)
	rm -rf debian/qdvdauthor-$(VERSION_DFSG)

%:
	dh $@

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg//,uversionmangle=s/-[1-4]//" \
http://sf.net/qdvdauthor/qdvdauthor-(.*)\.tar\.gz
